java.awt.datatransfer

## Class MimeTypeParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.awt.datatransfer.MimeTypeParseException

- All Implemented Interfaces:
    Serializable

      public class MimeTypeParseException
      extends Exception

  A class to encapsulate MimeType parsing related exceptions
  Since:
    1.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MimeTypeParseException()` Constructs a MimeTypeParseException with no specified detail message.
    `MimeTypeParseException(String s)` Constructs a MimeTypeParseException with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MimeTypeParseException

          public MimeTypeParseException()

      Constructs a MimeTypeParseException with no specified detail message.

    - #### MimeTypeParseException

          public MimeTypeParseException(String s)

      Constructs a MimeTypeParseException with the specified detail message.
      Parameters:
        `s` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.